package com.example.wabi.domain.network

import com.example.wabi.model.responses.Response

//интерфейсы для методов обращения к API Supabase
interface SupabaseService {
    suspend fun signIn(email: String, password: String): Response
    suspend fun signOut(): Response
    suspend fun signUp(email: String)
    suspend fun verifyEmail(email: String)
    suspend fun updateUserData(email: String, password: String, nickname: String, theme: Int = 0, imgeLink: String?)
}

